behavior_name=surface

# SURFAC50.MA (Surface at UTC time)

<start:b_arg>
    # Surface at UTC Time
        b_arg: when_utc_min(min)        30    # 0-59, -1 any minute
        b_arg: when_utc_hour(hour)      16    # 0-23, -1 any hour
        b_arg: when_utc_day(day)        -1    # 1-31, -1 any day
        b_arg: when_utc_month(month)    -1    # 1-12, -1 any month

    # Flight Controls
        b_arg:  c_use_bpump(enum)       2
        b_arg:  c_bpump_value(X)        1000
        b_arg:  c_use_pitch(enum)       3       # servo, rad, >0 = climb
        b_arg:  c_pitch_value(X)        0.4528  # 26 degrees

    # Surface Timeouts & Other Params
        b_arg: report_all(bool)             0       # F->just gps
        b_arg: end_action(enum)             1       # Surface menu
        b_arg: gps_wait_time(sec)           600     # GPS wait
        b_arg: keystroke_wait_time(sec)     300     # Surface time
        b_arg: printout_cycle_time(sec)     40.0    # Surface menu print rate
        b_arg: force_iridium_use(nodim)     1
<end:b_arg>